%define api	1.0
%define major	0
%define gmajor	1.0

%define libname	%mklibname gstvalidate %{api} %{major}
%define girname	%mklibname gstvalidate-gir %{gmajor}
%define devname	%mklibname gstvalidate %{api} -d

# needs hotdoc
%bcond_with docs

# need bundled rust crates
%bcond_with dots_viewer

Name:		gstreamer1.0-devtools
Summary:	Suite of tools to run GStreamer1.0 integration tests
Version:	1.26.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		Video/Utilities
Url:		https://gstreamer.freedesktop.org/
Source0:	https://gstreamer.freedesktop.org/src/gst-devtools/gst-devtools-%{version}.tar.xz
Patch1:		gst-devtools-dot-viewer-rust.patch
BuildRequires:	gettext-devel
BuildRequires:	meson
BuildRequires:	python3
%if %{with dots_viewer}
BuildRequires:	cargo-rpm-macros
%endif
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-rtsp-server-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-transcoder-1.0) >= %{version}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
#Optional BRs
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libdw)
Obsoletes:	gstreamer1.0-validate < 1.18.0
Provides:	gstreamer1.0-validate = %{version}-%{release}
Requires:	gstreamer1.0-validate-scenarios >= %{version}-%{release}

%description
The goal of GstValidate is to be able to detect when elements are not
behaving as expected and report it to the user so he knows how things
are supposed to work inside a GstPipeline. In the end, fixing issues
found by the tool will ensure that all elements behave all together in
the expected way.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains the shared libraries and development files
for %{name}.

%package -n gstreamer1.0-validate-scenarios
Summary:	Validate scenarios for %{name}
Group:		Video/Utilities
BuildArch:	noarch

%description -n gstreamer1.0-validate-scenarios
This package contains the scenario files for gstreamer1.0-validate.

%prep
%autosetup -p1 -n gst-devtools-%{version}

%if %{with dots_viewer}
%generate_buildrequires
cd dots-viewer
%cargo_generate_buildrequires
%endif

%build
%meson \
%if 0
	-Dpackage-name='%{_vendor} %{name} package' \
	-Dpackage-origin='https://www.%{_real_vendor}.org' \
%endif
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled} \
	-Ddots_viewer=disabled
%meson_build

%install
%meson_install

%files
%{_bindir}/gst-validate-1.0
%{_bindir}/gst-validate-images-check-1.0
%{_bindir}/gst-validate-launcher
%{_bindir}/gst-validate-media-check-1.0
%{_bindir}/gst-validate-rtsp-server-1.0
%{_bindir}/gst-validate-transcoding-1.0
%{_libdir}/gst-validate-launcher/
# should plugins be here or somewhere else?
%{_libdir}/gstreamer-1.0/validate/libgstvalidatefaultinjection.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategapplication.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategtk.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidatessim.so
%{_libdir}/gstreamer-1.0/libgstvalidatetracer.so

%files -n %{libname}
%{_libdir}/libgstvalidate-%{api}.so.%{major}{,.*}
%{_libdir}/libgstvalidate-default-overrides-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GstValidate-%{gmajor}.typelib

%files -n %{devname}
%{_includedir}/gstreamer-1.0/gst/validate/
%{_libdir}/pkgconfig/gstreamer-validate-%{api}.pc
%{_datadir}/gir-1.0/GstValidate-%{gmajor}.gir
%{_libdir}/libgstvalidate-%{api}.so
%{_libdir}/libgstvalidate-default-overrides-%{api}.so

%files -n gstreamer1.0-validate-scenarios
%{_datadir}/gstreamer-1.0/validate/


%changelog
* Wed Jul 16 2025 daviddavid <daviddavid> 1.26.3-1.mga10
+ Revision: 2256460
- new version 1.26.3

* Mon Jul 07 2025 umeabot <umeabot> 1.26.0-2.mga10
+ Revision: 2249012
- Mageia 10 Mass Rebuild

* Wed Mar 19 2025 wally <wally> 1.26.0-1.mga10
+ Revision: 2166982
- new version 1.26.0
- build without gst-dots-viewer

* Tue Jan 07 2025 daviddavid <daviddavid> 1.24.11-1.mga10
+ Revision: 2135930
- new version: 1.24.11

* Sun Oct 27 2024 wally <wally> 1.24.8-1.mga10
+ Revision: 2111400
- new version 1.24.8

* Fri Aug 30 2024 daviddavid <daviddavid> 1.24.7-1.mga10
+ Revision: 2092239
- new version: 1.24.7

* Fri Jun 07 2024 daviddavid <daviddavid> 1.24.4-1.mga10
+ Revision: 2070359
- new version: 1.24.4

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.1-1.mga10
+ Revision: 2052164
- new version 1.24.1

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.0-1.mga10
+ Revision: 2051934
- new version 1.24.0

* Mon Feb 05 2024 wally <wally> 1.22.9-3.mga10
+ Revision: 2037215
- another rebuild for arm32

* Sun Feb 04 2024 wally <wally> 1.22.9-2.mga10
+ Revision: 2037162
- rebuild for arm32

* Mon Jan 29 2024 wally <wally> 1.22.9-1.mga10
+ Revision: 2036131
- new version 1.22.9

* Wed Dec 20 2023 ghibo <ghibo> 1.22.8-1.mga10
+ Revision: 2020040
- Update to release 1.22.8

* Mon Oct 09 2023 wally <wally> 1.22.6-1.mga10
+ Revision: 1993807
- new version 1.22.6

* Tue Aug 29 2023 ghibo <ghibo> 1.22.5-1.mga10
+ Revision: 1980851
- Update to release 1.22.5

* Sat Jul 08 2023 ghibo <ghibo> 1.22.4-1.mga9
+ Revision: 1963693
- Update to release 1.22.4

* Sun May 21 2023 ghibo <ghibo> 1.22.3-1.mga9
+ Revision: 1957535
- Update to release 1.22.3

* Tue Jan 24 2023 wally <wally> 1.22.0-1.mga9
+ Revision: 1935704
- new version 1.22.0

* Sat Jan 14 2023 wally <wally> 1.21.90-1.mga9
+ Revision: 1933138
- new version 1.21.90

* Mon Dec 26 2022 wally <wally> 1.20.5-1.mga9
+ Revision: 1926950
- new version 1.20.5

* Sun Nov 20 2022 wally <wally> 1.20.4-1.mga9
+ Revision: 1909309
- new version 1.20.4

* Sat Jul 23 2022 wally <wally> 1.20.3-1.mga9
+ Revision: 1870391
- new version 1.20.3

* Sun May 08 2022 wally <wally> 1.20.2-1.mga9
+ Revision: 1856815
- new version 1.20.2

* Sun Apr 03 2022 wally <wally> 1.20.1-1.mga9
+ Revision: 1842633
- new version 1.20.1

* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga9
+ Revision: 1745688
- new version 1.18.5 (mga#29452)

* Mon Apr 05 2021 wally <wally> 1.18.4-1.mga9
+ Revision: 1713699
- new version 1.18.4

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672330
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655016
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648249
- new version 1.18.1

* Mon Sep 14 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1626609
- rename as gstreamer1.0-devtools
- new version 1.18.0

* Wed Aug 12 2020 ovitters <ovitters> 1.16.2-3.mga8
+ Revision: 1613725
- rebuild for autobuild dependency failure

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1539274
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464339
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445557
- new version 1.16.1

* Thu Apr 25 2019 wally <wally> 1.16.0-1.mga7
+ Revision: 1395282
- new version 1.16.0

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317572
- new version 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259563
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244589
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231144
- new version 1.14.1

* Sun Mar 25 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1212147
- new version 1.14.0
- enable valgrind on all supported arches

* Sat Dec 16 2017 wally <wally> 1.12.4-1.mga7
+ Revision: 1182834
- new version 1.12.4

* Tue Sep 26 2017 wally <wally> 1.12.3-1.mga7
+ Revision: 1160030
- new version 1.12.3

* Tue Jul 25 2017 wally <wally> 1.12.2-1.mga7
+ Revision: 1130780
- new version 1.12.2

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085498
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081804
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047100
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021008
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011421
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995285
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992921
- new version 1.7.91
- drop unneeded linking patch
- fix descriptions
- fix URL
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 24 2015 wally <wally> 1.6.0-1.mga6
+ Revision: 905789
- imported package gstreamer1.0-validate

